# Class Cylinder

java.lang.Object
javafx.scene.Node
javafx.scene.shape.Shape3D
javafx.scene.shape.Cylinder

All Implemented Interfaces:
  `Styleable`, `EventTarget`

public non-sealed class Cylinder extends Shape3D
The `Cylinder` class defines a 3 dimensional cylinder with the specified size. A `Cylinder` is a 3D geometry primitive created with a given radius and height. It is centered at the origin.

Since:
  JavaFX 8.0

- ## Property Summary

  Properties
  Type
  Property
  Description
  `final DoubleProperty`
  `height`
  Defines the height or the Y dimension of the Cylinder.
  `final DoubleProperty`
  `radius`
  Defines the radius in the Z plane of the Cylinder.

  ### Properties declared in class javafx.scene.shape.Shape3D

  `cullFace, drawMode, material`

  ### Properties declared in class javafx.scene.Node

  `accessibleHelp, accessibleRoleDescription, accessibleRole, accessibleText, blendMode, boundsInLocal, boundsInParent, cacheHint, cache, clip, cursor, depthTest, disabled, disable, effectiveNodeOrientation, effect, eventDispatcher, focused, focusTraversable, focusVisible, focusWithin, hover, id, inputMethodRequests, layoutBounds, layoutX, layoutY, localToParentTransform, localToSceneTransform, managed, mouseTransparent, nodeOrientation, onContextMenuRequested, onDragDetected, onDragDone, onDragDropped, onDragEntered, onDragExited, onDragOver, onInputMethodTextChanged, onKeyPressed, onKeyReleased, onKeyTyped, onMouseClicked, onMouseDragEntered, onMouseDragExited, onMouseDragged, onMouseDragOver, onMouseDragReleased, onMouseEntered, onMouseExited, onMouseMoved, onMousePressed, onMouseReleased, onRotate, onRotationFinished, onRotationStarted, onScrollFinished, onScroll, onScrollStarted, onSwipeDown, onSwipeLeft, onSwipeRight, onSwipeUp, onTouchMoved, onTouchPressed, onTouchReleased, onTouchStationary, onZoomFinished, onZoom, onZoomStarted, opacity, parent, pickOnBounds, pressed, rotate, rotationAxis, scaleX, scaleY, scaleZ, scene, style, translateX, translateY, translateZ, viewOrder, visible`

- ## Field Summary

  ### Fields declared in class javafx.scene.Node

  `BASELINE_OFFSET_SAME_AS_HEIGHT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Cylinder()`
  Creates a new instance of `Cylinder` of radius of 1.0 and height of 2.0.
  `Cylinder(double radius, double height)`
  Creates a new instance of `Cylinder` of a given radius and height.
  `Cylinder(double radius, double height, int divisions)`
  Creates a new instance of `Cylinder` of a given radius, height, and divisions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getDivisions()`
  Retrieves the divisions attribute use to generate this cylinder.
  `final double`
  `getHeight()`
  Gets the value of the `height` property.
  `final double`
  `getRadius()`
  Gets the value of the `radius` property.
  `final DoubleProperty`
  `heightProperty()`
  Defines the height or the Y dimension of the Cylinder.
  `final DoubleProperty`
  `radiusProperty()`
  Defines the radius in the Z plane of the Cylinder.
  `final void`
  `setHeight(double value)`
  Sets the value of the `height` property.
  `final void`
  `setRadius(double value)`
  Sets the value of the `radius` property.

  ### Methods declared in class javafx.scene.shape.Shape3D

  `cullFaceProperty, drawModeProperty, getCullFace, getDrawMode, getMaterial, materialProperty, setCullFace, setDrawMode, setMaterial`

  ### Methods declared in class javafx.scene.Node

  `accessibleHelpProperty, accessibleRoleDescriptionProperty, accessibleRoleProperty, accessibleTextProperty, addEventFilter, addEventHandler, applyCss, autosize, blendModeProperty, boundsInLocalProperty, boundsInParentProperty, buildEventDispatchChain, cacheHintProperty, cacheProperty, clipProperty, computeAreaInScreen, contains, contains, cursorProperty, depthTestProperty, disabledProperty, disableProperty, effectiveNodeOrientationProperty, effectProperty, eventDispatcherProperty, executeAccessibleAction, fireEvent, focusedProperty, focusTraversableProperty, focusVisibleProperty, focusWithinProperty, getAccessibleHelp, getAccessibleRole, getAccessibleRoleDescription, getAccessibleText, getBaselineOffset, getBlendMode, getBoundsInLocal, getBoundsInParent, getCacheHint, getClassCssMetaData, getClip, getContentBias, getCssMetaData, getCursor, getDepthTest, getEffect, getEffectiveNodeOrientation, getEventDispatcher, getId, getInitialCursor, getInitialFocusTraversable, getInputMethodRequests, getLayoutBounds, getLayoutX, getLayoutY, getLocalToParentTransform, getLocalToSceneTransform, getNodeOrientation, getOnContextMenuRequested, getOnDragDetected, getOnDragDone, getOnDragDropped, getOnDragEntered, getOnDragExited, getOnDragOver, getOnInputMethodTextChanged, getOnKeyPressed, getOnKeyReleased, getOnKeyTyped, getOnMouseClicked, getOnMouseDragEntered, getOnMouseDragExited, getOnMouseDragged, getOnMouseDragOver, getOnMouseDragReleased, getOnMouseEntered, getOnMouseExited, getOnMouseMoved, getOnMousePressed, getOnMouseReleased, getOnRotate, getOnRotationFinished, getOnRotationStarted, getOnScroll, getOnScrollFinished, getOnScrollStarted, getOnSwipeDown, getOnSwipeLeft, getOnSwipeRight, getOnSwipeUp, getOnTouchMoved, getOnTouchPressed, getOnTouchReleased, getOnTouchStationary, getOnZoom, getOnZoomFinished, getOnZoomStarted, getOpacity, getParent, getProperties, getPseudoClassStates, getRotate, getRotationAxis, getScaleX, getScaleY, getScaleZ, getScene, getStyle, getStyleableParent, getStyleClass, getTransforms, getTranslateX, getTranslateY, getTranslateZ, getTypeSelector, getUserData, getViewOrder, hasProperties, hoverProperty, idProperty, inputMethodRequestsProperty, intersects, intersects, isCache, isDisable, isDisabled, isFocused, isFocusTraversable, isFocusVisible, isFocusWithin, isHover, isManaged, isMouseTransparent, isPickOnBounds, isPressed, isResizable, isVisible, layoutBoundsProperty, layoutXProperty, layoutYProperty, localToParent, localToParent, localToParent, localToParent, localToParent, localToParentTransformProperty, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToSceneTransformProperty, localToScreen, localToScreen, localToScreen, localToScreen, localToScreen, lookup, lookupAll, managedProperty, maxHeight, maxWidth, minHeight, minWidth, mouseTransparentProperty, nodeOrientationProperty, notifyAccessibleAttributeChanged, onContextMenuRequestedProperty, onDragDetectedProperty, onDragDoneProperty, onDragDroppedProperty, onDragEnteredProperty, onDragExitedProperty, onDragOverProperty, onInputMethodTextChangedProperty, onKeyPressedProperty, onKeyReleasedProperty, onKeyTypedProperty, onMouseClickedProperty, onMouseDragEnteredProperty, onMouseDragExitedProperty, onMouseDraggedProperty, onMouseDragOverProperty, onMouseDragReleasedProperty, onMouseEnteredProperty, onMouseExitedProperty, onMouseMovedProperty, onMousePressedProperty, onMouseReleasedProperty, onRotateProperty, onRotationFinishedProperty, onRotationStartedProperty, onScrollFinishedProperty, onScrollProperty, onScrollStartedProperty, onSwipeDownProperty, onSwipeLeftProperty, onSwipeRightProperty, onSwipeUpProperty, onTouchMovedProperty, onTouchPressedProperty, onTouchReleasedProperty, onTouchStationaryProperty, onZoomFinishedProperty, onZoomProperty, onZoomStartedProperty, opacityProperty, parentProperty, parentToLocal, parentToLocal, parentToLocal, parentToLocal, parentToLocal, pickOnBoundsProperty, prefHeight, prefWidth, pressedProperty, pseudoClassStateChanged, queryAccessibleAttribute, relocate, removeEventFilter, removeEventHandler, requestFocus, requestFocusTraversal, resize, resizeRelocate, rotateProperty, rotationAxisProperty, scaleXProperty, scaleYProperty, scaleZProperty, sceneProperty, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, screenToLocal, screenToLocal, screenToLocal, setAccessibleHelp, setAccessibleRole, setAccessibleRoleDescription, setAccessibleText, setBlendMode, setCache, setCacheHint, setClip, setCursor, setDepthTest, setDisable, setDisabled, setEffect, setEventDispatcher, setEventHandler, setFocused, setFocusTraversable, setHover, setId, setInputMethodRequests, setLayoutX, setLayoutY, setManaged, setMouseTransparent, setNodeOrientation, setOnContextMenuRequested, setOnDragDetected, setOnDragDone, setOnDragDropped, setOnDragEntered, setOnDragExited, setOnDragOver, setOnInputMethodTextChanged, setOnKeyPressed, setOnKeyReleased, setOnKeyTyped, setOnMouseClicked, setOnMouseDragEntered, setOnMouseDragExited, setOnMouseDragged, setOnMouseDragOver, setOnMouseDragReleased, setOnMouseEntered, setOnMouseExited, setOnMouseMoved, setOnMousePressed, setOnMouseReleased, setOnRotate, setOnRotationFinished, setOnRotationStarted, setOnScroll, setOnScrollFinished, setOnScrollStarted, setOnSwipeDown, setOnSwipeLeft, setOnSwipeRight, setOnSwipeUp, setOnTouchMoved, setOnTouchPressed, setOnTouchReleased, setOnTouchStationary, setOnZoom, setOnZoomFinished, setOnZoomStarted, setOpacity, setPickOnBounds, setPressed, setRotate, setRotationAxis, setScaleX, setScaleY, setScaleZ, setStyle, setTranslateX, setTranslateY, setTranslateZ, setUserData, setViewOrder, setVisible, snapshot, snapshot, startDragAndDrop, startFullDrag, styleProperty, toBack, toFront, toString, translateXProperty, translateYProperty, translateZProperty, usesMirroring, viewOrderProperty, visibleProperty`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.css.Styleable

  `getStyleableNode`

- ## Property Details

  - ### height

    public final DoubleProperty heightProperty
    Defines the height or the Y dimension of the Cylinder.
    Default value:
      2.0
    See Also:
      - `getHeight()`
      - `setHeight(double)`
      - `heightProperty()`

  - ### radius

    public final DoubleProperty radiusProperty
    Defines the radius in the Z plane of the Cylinder.
    Default value:
      1.0
    See Also:
      - `getRadius()`
      - `setRadius(double)`
      - `radiusProperty()`

- ## Constructor Details

  - ### Cylinder

    public Cylinder()
    Creates a new instance of `Cylinder` of radius of 1.0 and height of 2.0. Resolution defaults to 15 divisions along X and Z axis.

  - ### Cylinder

    public Cylinder(double radius, double height)
    Creates a new instance of `Cylinder` of a given radius and height. Resolution defaults to 15 divisions along X and Z axis.
    Parameters:
      `radius` - Radius
      `height` - Height

  - ### Cylinder

    public Cylinder(double radius, double height, int divisions)
    Creates a new instance of `Cylinder` of a given radius, height, and divisions. Resolution defaults to 15 divisions along X and Z axis. Note that divisions should be at least 3. Any value less than that will be clamped to 3.
    Parameters:
      `radius` - Radius
      `height` - Height
      `divisions` - Divisions

- ## Method Details

  - ### setHeight

    public final void setHeight(double value)
    Sets the value of the `height` property.
    Property description:
      Defines the height or the Y dimension of the Cylinder.
    Default value:
      2.0
    Parameters:
      `value` - the value for the `height` property
    See Also:
      - `getHeight()`
      - `heightProperty()`

  - ### getHeight

    public final double getHeight()
    Gets the value of the `height` property.
    Property description:
      Defines the height or the Y dimension of the Cylinder.
    Default value:
      2.0
    Returns:
      the value of the `height` property
    See Also:
      - `setHeight(double)`
      - `heightProperty()`

  - ### heightProperty

    public final DoubleProperty heightProperty()
    Defines the height or the Y dimension of the Cylinder.
    Default value:
      2.0
    Returns:
      the `height` property
    See Also:
      - `getHeight()`
      - `setHeight(double)`

  - ### setRadius

    public final void setRadius(double value)
    Sets the value of the `radius` property.
    Property description:
      Defines the radius in the Z plane of the Cylinder.
    Default value:
      1.0
    Parameters:
      `value` - the value for the `radius` property
    See Also:
      - `getRadius()`
      - `radiusProperty()`

  - ### getRadius

    public final double getRadius()
    Gets the value of the `radius` property.
    Property description:
      Defines the radius in the Z plane of the Cylinder.
    Default value:
      1.0
    Returns:
      the value of the `radius` property
    See Also:
      - `setRadius(double)`
      - `radiusProperty()`

  - ### radiusProperty

    public final DoubleProperty radiusProperty()
    Defines the radius in the Z plane of the Cylinder.
    Default value:
      1.0
    Returns:
      the `radius` property
    See Also:
      - `getRadius()`
      - `setRadius(double)`

  - ### getDivisions

    public int getDivisions()
    Retrieves the divisions attribute use to generate this cylinder.
    Returns:
      the divisions attribute.